### 1.16 `exp10`, `exp10f`—exponential, base 10

Synopsis

         #include <math.h>
         double exp10(double x);
         float exp10f(float x);

Description
`exp10` and `exp10f` calculate 10 ^ x, that is, 10 raised to the power x.

You can use the (non-ANSI) function `matherr` to specify error handling for these functions.

Returns
On success, `exp10` and `exp10f` return the calculated value. If the result underflows, the returned value is `0`. If the result overflows, the returned value is `HUGE_VAL`. In either case, `errno` is set to `ERANGE`.

Portability
`exp10` and `exp10f` are GNU extensions.